%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 6
%define gmajor 1.0
%define libname %mklibname matekbd %{major}
%define girname %mklibname matekbd-gir %{gmajor}
%define develname %mklibname -d matekbd

Summary: MATE keyboard libraries
Name:    libmatekbd
Version: 1.28.0
Release: %mkrel 1
License: LGPLv2+
Group:   System/Libraries
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: intltool
BuildRequires: libxml2-utils
BuildRequires: pkgconfig(glib-2.0) >= 2.36
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires: lib64xklavier-devel
BuildRequires: pkgconfig(gio-2.0) >= 2.25.0

%description
Files used by the MATE keyboard library.

%package -n %{libname}
Summary: Dynamic libraries for MATE applications
Group: System/Libraries
Requires: %{name} >= %{version}
Obsoletes: lib64matekbd4

%description -n %{libname}
MATE keyboard library.

%package -n %{develname}
Summary: Development files and headers for %{name}
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
Development files and headers needed in order to develop
applications using the MATE keyboard library.

%prep
%setup -q

%build
%configure2_5x \
   --disable-static          \
   --disable-schemas-compile \
   --enable-introspection    \
   --with-x

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %{buildroot}
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml

%files -n %{libname}
%{_libdir}/libmatekbd*.so.%{major}*
%{_libdir}/girepository-1.0/Matekbd-%{gmajor}.typelib

%files -n %{develname}
%{_includedir}/libmatekbd
%{_datadir}/gir-1.0/Matekbd-%{gmajor}.gir
%{_libdir}/pkgconfig/libmatekbd.pc
%{_libdir}/pkgconfig/libmatekbdui.pc
%{_libdir}/libmatekbdui.so
%{_libdir}/libmatekbd.so

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%changelog
* Tue Feb 13 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Tue Feb 11 2020 tex - 1.24.0-1pclos2020
- Update to version 1.24.0
